package cn.com.poc.ai_software_copyright.query;	

import java.io.Serializable;
import javax.persistence.Column;
import javax.persistence.Entity;
import cn.com.yict.framemax.data.model.BaseItemClass;

/**
 * Query Item class for SoftwareCopyrightQuery
 */
@Entity
public class SoftwareCopyrightQueryItem extends BaseItemClass implements Serializable{

    private static final long serialVersionUID = 1L;
    
    /** id
    *id
    */ 
    private java.lang.Long id;
    
    @Column(name = "id")
    public java.lang.Long getId(){
        return this.id;
    }
    
    public void setId(java.lang.Long id){
        this.id = id;
    }
    
    /** base_info
    *base_info
    */ 
    private java.lang.String baseInfo;
    
    @Column(name = "base_info")
    public java.lang.String getBaseInfo(){
        return this.baseInfo;
    }
    
    public void setBaseInfo(java.lang.String baseInfo){
        this.baseInfo = baseInfo;
    }
    
    /** technical_content
    *technical_content
    */ 
    private java.lang.String technicalContent;
    
    @Column(name = "technical_content")
    public java.lang.String getTechnicalContent(){
        return this.technicalContent;
    }
    
    public void setTechnicalContent(java.lang.String technicalContent){
        this.technicalContent = technicalContent;
    }
    
    /** reference_document_file_url
    *reference_document_file_url
    */ 
    private java.lang.String referenceDocumentFileUrl;
    
    @Column(name = "reference_document_file_url")
    public java.lang.String getReferenceDocumentFileUrl(){
        return this.referenceDocumentFileUrl;
    }
    
    public void setReferenceDocumentFileUrl(java.lang.String referenceDocumentFileUrl){
        this.referenceDocumentFileUrl = referenceDocumentFileUrl;
    }
    
    /** generated_doc_type
    *generated_doc_type
    */ 
    private java.lang.String generatedDocType;
    
    @Column(name = "generated_doc_type")
    public java.lang.String getGeneratedDocType(){
        return this.generatedDocType;
    }
    
    public void setGeneratedDocType(java.lang.String generatedDocType){
        this.generatedDocType = generatedDocType;
    }
    
    /** generated_status
    *generated_status
    */ 
    private java.lang.String generatedStatus;
    
    @Column(name = "generated_status")
    public java.lang.String getGeneratedStatus(){
        return this.generatedStatus;
    }
    
    public void setGeneratedStatus(java.lang.String generatedStatus){
        this.generatedStatus = generatedStatus;
    }
    
    /** error_mess
    *error_mess
    */ 
    private java.lang.String errorMess;
    
    @Column(name = "error_mess")
    public java.lang.String getErrorMess(){
        return this.errorMess;
    }
    
    public void setErrorMess(java.lang.String errorMess){
        this.errorMess = errorMess;
    }
    
    /** CREATED_TIME
    *创建时间
    */ 
    private java.util.Date createdTime;
    
    @Column(name = "CREATED_TIME")
    public java.util.Date getCreatedTime(){
        return this.createdTime;
    }
    
    public void setCreatedTime(java.util.Date createdTime){
        this.createdTime = createdTime;
    }
    
} 